ModuleState (PMII - Principia Mathematica II)
Keywords: com.meyling.principia.module.ModuleState class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.meyling.principia.module
Class ModuleState

    java.lang.Object
      com.meyling.principia.module.ModuleState

public final class ModuleState
extends Object

Represents a module and its state.

Version:
  $Revision: 1.3 $
Author:
  Michael Meyling

Field Summary
`static ModuleState` | `STATE_CHECKING`
`static ModuleState` | `STATE_LOADED_AND_VERIFIED`
`static ModuleState` | `STATE_LOADING_FROM_BUFFER`
`static ModuleState` | `STATE_LOADING_FROM_BUFFER_FAILED`
`static ModuleState` | `STATE_LOADING_FROM_WEB`
`static ModuleState` | `STATE_LOADING_FROM_WEB_FAILED`
`static ModuleState` | `STATE_LOADING_INTO_MEMORY`
`static ModuleState` | `STATE_LOADING_INTO_MEMORY_FAILED`
`static ModuleState` | `STATE_UNDIFINED`

Method Summary
`boolean` | `equals(Object obj)`
`int` | `getCode()` Get module state code.
`String` | `getDescription()` Get detailed description of module state.
`String` | `getText()` Get meaning of module state.
`int` | `hashCode()`
`boolean` | `isFailure()` Is this a failure state?
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### STATE_UNDIFINED

    public static final ModuleState STATE_UNDIFINED

### STATE_LOADING_FROM_WEB

    public static final ModuleState STATE_LOADING_FROM_WEB

### STATE_LOADING_FROM_WEB_FAILED

    public static final ModuleState STATE_LOADING_FROM_WEB_FAILED

### STATE_LOADING_FROM_BUFFER

    public static final ModuleState STATE_LOADING_FROM_BUFFER

### STATE_LOADING_FROM_BUFFER_FAILED

    public static final ModuleState STATE_LOADING_FROM_BUFFER_FAILED

### STATE_LOADING_INTO_MEMORY

    public static final ModuleState STATE_LOADING_INTO_MEMORY

### STATE_CHECKING

    public static final ModuleState STATE_CHECKING

### STATE_LOADING_INTO_MEMORY_FAILED

    public static final ModuleState STATE_LOADING_INTO_MEMORY_FAILED

### STATE_LOADED_AND_VERIFIED

    public static final ModuleState STATE_LOADED_AND_VERIFIED

Method Detail

### getText

    public final String getText()

  Get meaning of module state.

  Returns:
    meaning of module state.

### isFailure

    public final boolean isFailure()

  Is this a failure state?

  Returns:
    is this a failure state?

### getDescription

    public final String getDescription()

  Get detailed description of module state.

  Returns:
    detailed description of module state.

### getCode

    public final int getCode()

  Get module state code.

  Returns:
    module state.

### toString

    public final String toString()

### hashCode

    public final int hashCode()

### equals

    public final boolean equals(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hilbert II - JAVA-Packages - Principia Mathematica II
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

©left GNU General Public Licence All Rights Reserved.